<?php
/*********************/
require_once ( get_template_directory() . '/inc/customizer_register.php' );
require_once ( get_template_directory() . '/inc/header.php' );
require_once ( get_template_directory() . '/inc/script.php' ); 
/*********************/ 		
if ( ! isset( $content_width ) )
	$content_width = 700;
/*********************/ 
add_action( 'after_setup_theme', 'swiss_setup' );
function swiss_setup() {
/*********************/	
load_theme_textdomain( 'swiss', get_template_directory() . '/languages' );
/*********************/	
add_theme_support( 'jetpack-portfolio' );
add_theme_support( 'jetpack-responsive-videos' );
/*********************/
add_theme_support( 'post-thumbnails');
/*********************/
set_post_thumbnail_size( 1920, 400, true );
add_image_size('typo', 1920, 400, true);
set_post_thumbnail_size( 590, 590, true );
add_image_size('mobile', 590, 590, true);
add_theme_support( 'post-formats', array('link', 'video', 'gallery','aside', 'audio', 'chat', 'image', 'quote', 'status'));
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'custom-background' ); 
add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption' ) );
add_theme_support( "title-tag" );
$custom_header_support = array(
        'default-text-color' => 'ffffff',
        'default-image'          => '%s/images/header.jpg',
        'width' => apply_filters( 'typo_header_image_width', 1920 ),
        'height' => apply_filters( 'typo_header_image_height', 400 ),
        'flex-height' => true,
        'flex-width'  => true,
        'random-default' => true,
        'wp-head-callback' => 'swiss_header_style',
        'admin-head-callback' => 'swiss_admin_header_style',
        'admin-preview-callback' => 'swiss_header_img',
    );
add_theme_support( 'custom-header', $custom_header_support );   
/*********************/
register_default_headers( array(
    'sketchbook' => array(
    'url' => '%s/images/header.jpg',
    'thumbnail_url' => '%s/images/header-thumbnail.jpg',
    'description' => __( 'Headers 1', 'swiss' )
    ),
    'sketchbook2' => array(
    'url' => '%s/images/header-2.jpg',
    'thumbnail_url' => '%s/images/header-2-thumbnail.jpg',
    'description' => __( 'Headers 2', 'swiss' )
    ),
    'sketchbook3' => array(
    'url' => '%s/images/header-3.jpg',
    'thumbnail_url' => '%s/images/header-3-thumbnail.jpg',
    'description' => __( 'Headers 3', 'swiss' ),
    ),
    'sketchbook4' => array(
    'url' => '%s/images/header-4.jpg',
    'thumbnail_url' => '%s/images/header-4-thumbnail.jpg',
    'description' => __( 'Headers 4', 'swiss' ),
    )
    ) );
/*********************/
add_editor_style('css/editor-style.css');
/*********************/	
register_nav_menus(array('primary' =>__( 'Primary navigation', 'swiss' )));
/*********************/	
add_filter('use_default_gallery_style', '__return_false');

/**********end setup***********/
}
/*********************/
function swiss_widgets_init() {
        register_sidebar( array(
        'name' => __( 'Sidebar Widget Area', 'swiss'),
        'id' => 'sidebar-widget-area',
        'description' => __( 'The sidebar widget area', 'swiss' ),
        'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ) );
}
add_action( 'widgets_init', 'swiss_widgets_init' );
/*********************/
function swiss_pagination() {
global $wp_query;
$big = 99999;
echo '<div class="grid-100 mobile-grid-100 wp-pagenavi">';
echo paginate_links( array(
    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
    'format' => '?paged=%#%',
    'current' => max( 1, get_query_var('paged') ),
    'prev_next'    => True,
    'show_all'     => False,
    'total' => $wp_query->max_num_pages,
    'prev_text'    => __('&laquo; Previous','swiss'),
    'next_text'    => __('Next &raquo;','swiss')
) );
echo'</div>' ;
}
/********************************************************************************************/
function swiss_wp_title( $title, $sep ) {
    global $paged, $page;

    if ( is_feed() )
        return $title;

    $title .= get_bloginfo( 'name' );

    $site_description = get_bloginfo( 'description', 'display' );
    if ( $site_description && ( is_home() || is_front_page() ) )
        $title = "$title $sep $site_description";

    if ( $paged >= 2 || $page >= 2 )
        $title = "$title $sep " . sprintf( __( 'Page %s', 'swiss' ), max( $paged, $page ) );

    return $title;
}
add_filter( 'wp_title', 'swiss_wp_title', 10, 2 );
/********************************************************************************************/
function swiss_get_link_url() {
$content = get_the_content();
    $has_url = get_url_in_content( $content );
    return ( $has_url ) ? $has_url : apply_filters( 'the_permalink', get_permalink() );
}
/*********************/
function swiss_author() {
if ( is_single() && get_the_author_meta( 'description' )  ) :
 ?> 
     <div class="author-bio">                
            <?php echo get_avatar(get_the_author_meta('user_email'), apply_filters('swiss_author_bio_avatar_size', 80)); ?>
            <h3><?php printf(__('%s', 'swiss'), get_the_author()); ?></h3>
            <p><?php the_author_meta('description'); ?> </p>
            <a class="author-link" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" rel="author">
<?php printf(__('View all posts by %s <span class="meta-nav">&rarr;</span>', 'swiss'), get_the_author()); ?>
            </a>
        </div>
<?php endif; ?>
<?php }
/*********************************************************************************************/
    function swiss_logo() {
    $options = get_option('swiss_options');
    $link_logo = $options['link_logo'];

    if ( !empty($link_logo)) :
 ?>
    <img id="logo" src="<?php echo esc_url($link_logo); ?>" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" />
 <?php   else : 
 bloginfo('name'); endif;
        }
?>